summaryrefslogtreecommitdiff
path: root/run-tests.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/run-tests.sh b/run-tests.sh
new file mode 100755
index 0000000..50af316
--- /dev/null
+++ b/run-tests.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+rm -rf podman/testdata/git
+git clone --depth 1 . podman/testdata/git
+
+for distro in arch ubuntu
+do
+ podman build -t gerbonara-$distro-testenv -f podman/$distro-testenv
+ mkdir -p /tmp/gerbonara-test-out
+ podman run --mount type=bind,src=podman/testdata,dst=/data,ro --mount type=bind,src=/tmp/gerbonara-test-out,dst=/out gerbonara-$distro-testenv /data/testscript.sh
+done
+